# $Id: sip.spec,v 1.21 2004/05/24 15:07:24 rexdieter Exp $

%define aurox_ver 10.1
%define rel 1


Summary: SIP - Python/C++ Bindings Generator
Name: 	 sip
Epoch:	 0
Version: 4.1.1
Release: %{aurox_ver}.aur.%{rel}
License: GPL QPL
Group:	 Development/Tools
Url:	 http://www.riverbankcomputing.co.uk/sip
Source:	 http://www.river-bank.demon.co.uk/download/sip/sip-4.1.1.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildRequires: qt-devel >= 1:3.3.3
BuildRequires: sed

BuildRequires: python2-devel >= 2.3
%define python_pkg %(rpm -q --whatprovides python2-devel | cut -d- -f1)
%define python_ver %(rpm -q --qf '%%{version}' %{python_pkg}-devel | cut -d. -f1,2)
Requires: %{python_pkg} >= %{python_ver}
%define python_sitearch %(python2 -c "from distutils.sysconfig import get_python_lib; print get_python_lib(1)")
Prereq: %{python_sitearch}


%description
SIP is a tool for generating bindings for C++ classes so that they can be
accessed as normal Python classes.  SIP takes many of its ideas from SWIG but,
because it is specifically designed for C++ and Python, is able to generate
tighter bindings.  SIP is so called because it is a small SWIG.

SIP was originally designed to generate Python bindings for KDE and so has
explicit support for the signal slot mechanism used by the Qt/KDE class
libraries.  However, SIP can be used to generate Python bindings for any C++
class library.


%package devel
Summary: Files needed to generate Python bindings for any C++ class library
Group:	 Development/Libraries
Requires: %{name} = %{epoch}:%{version}-%{release}
%description devel
This package contains files needed to generate Python bindings for any C++
classes library.


%prep
%setup -q 


%build
unset QTDIR || : ; . /etc/profile.d/qt.sh

python2 configure.py -l qt-mt 

make %{?_smp_mflags} 


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root)
%doc ChangeLog NEWS README THANKS
%{_bindir}/*
%{python_sitearch}/*

%files devel
%defattr(-,root,root)
%{_includedir}/python*/*


%changelog
* Wed Sep 29 2004 Aurox Team <aurox@aurox.org> 0:4.1.1-10.1.aur.1
- Update to 4.1.1
- switch to 3.10.2 version
- rebuild for new qscintilla
- initial build for Aurox 9.4

* Mon Sep 20 2004 Rex Dieter <rexdieter at sf.net> 0:4.1-0.fdr.1
- 4.1

* Sat Aug 28 2004 Rex Dieter <rexdieter at sf.net> 0:4.0.1-0.fdr.1
- rebuild against qt-3.3.3

* Tue Jul 06 2004 Rex Dieter <rexdieter at sf.net> 0:4.0.1-0.fdr.0
- 4.0.1

* Mon May 24 2004 Rex Dieter <rexdieter at sf.net> 0:3.10.2-0.fdr.0
- 3.10.2

* Sun Mar 14 2004 Rex Dieter <rexdieter at sf.net> 0:3.10.1-0.fdr.0
- 3.10.1

* Thu Mar 11 2004 Rex Dieter <rexdieter at sf.net> 0:3.10-0.fdr.2
- cleanup

* Wed Mar 10 2004 Rex Dieter <rexdieter at sf.net> 0:3.10-0.fdr.0
- (re)build against qt-3.3.1

* Sat Jan 17 2004 Rex Dieter <rexdieter at sf.net> 0:3.10-0.fdr.0
- 3.10

* Sun Jan 11 2004 Rex Dieter <rexdieter at sf.net> 3.9-0.fdr.1
- rebuild aginst fixed qt3 (with QMAKE_RPATH), or...
- alternatively, hack for missing RPATH, see
  http://mats.imk.fraunhofer.de/pipermail/pykde/2003-December/006674.html

* Fri Dec 19 2003 Rex Dieter <rexdieter at sf.net> 3.9-0.fdr.0
- 3.9

* Wed Dec 03 2003 Rex Dieter <rexdieter at sf.net> 3.8-0.fdr.1
- 3.8

* Mon Aug 18 2003 Rex Dieter <rexdieter at sf.net> 3.7-0.fdr.0
- 3.7

* Fri May 23 2003 Rex Dieter <rexdieter at sf.net> 3.6-0.fdr.0
- fedora'ize
- add cvs tags

* Wed Apr 30 2003 Rex Dieter <rexdieter at sf.net> 3.6-0.0
- 3.6

* Wed Apr 30 2003 Rex Dieter <rexdieter at sf.net> 3.5-2.0
- kde-redhat versioning.
- NOTE: rh73 pkg built with/for python2.

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Dec 11 2002 Than Ngo <than@redhat.com> 3.5-1
- 3.5 release

* Mon Nov 18 2002 Than Ngo <than@redhat.com> 3.5-0.20021114.1
- update RC, which supports qt 3.1.0
- fix dependency problem with python

* Thu Nov  7 2002 Than Ngo <than@redhat.com> 3.4-4
- update to 3.4

* Wed Aug 28 2002 Than Ngo <than@redhat.com> 3.3.2-4
- rpath issue

* Mon Aug 26 2002 Than Ngo <than@redhat.com> 3.3.2-3
- rebuild against new qt

* Sat Aug 10 2002 Elliot Lee <sopwith@redhat.com>
- rebuilt with gcc-3.2 (we hope)

* Tue Jul 23 2002 Than Ngo <than@redhat.com> 3.3.2-1
- 3.3.2 release for qt 3.0.5

* Mon Jul  1 2002 Than Ngo <than@redhat.com> 3.2.4-4
- move python modul libsip.so into sip (bug #67640)

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Wed May 22 2002 Harald Hoyer <harald@redhat.de>
- updated to release 3.2.4

* Thu May 02 2002 Than Ngo <than@redhat.com> 3.2-0.rc4
- 3.2rc4
- build against python 2

* Tue Apr 16 2002 Than Ngo <than@redhat.com> 3.1-2
- rebuild

* Fri Mar 29 2002 Than  Ngo <than@redhat.com> 3.1-1
- update 3.1 for qt 3.0.3

* Tue Mar  07 2002 Than Ngo <than@redhat.com> 3.0-6
- rebuild against qt3

* Fri Feb 22 2002 Than Ngo <than@redhat.com> 3.0-5
- build against python 1.5 and qt 2.3.2

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue Jan 08 2002 Than Ngo <than@redhat.com> 3.0-3
- rebuild to get rid of libGL

* Mon Nov 19 2001 Than Ngo <than@redhat.com> 3.0-2
- build against qt3

* Sun Nov 18 2001 Than Ngo <than@redhat.com> 3.0-1
- update to 3.0

* Sun Nov 11 2001 Than Ngo <than@redhat.com> 3.0-0.20011110.1
- snapshot

* Tue Aug 14 2001 Than Ngo <than@redhat.com> 2.5-1
- update to 2.5
- requires python 2
- Updated URL

* Mon Jul 23 2001 Than Ngo <than@redhat.com>
- fix build dependency (bug #49698)

* Mon Jul 16 2001 Trond Eivind Glomsrd <teg@redhat.com>
- s/Copyright/License/
- Make devel subpackage depend on main

* Mon Apr 23 2001 Than Ngo <than@redhat.com>
- update to 2.4

* Wed Feb 28 2001 Tim Powers <timp@redhat.com>
- rebuilt against new libmng

* Fri Feb 23 2001 Than Ngo <than@redhat.com>
- fix to use python1.5

* Thu Feb 22 2001 Than Ngo <than@redhat.com>
- update to 2.3 release

* Fri Feb 02 2001 Than Ngo <than@redhat.com>
- rebuild in new envoroment

* Tue Dec 26 2000 Than Ngo <than@redhat.com>
- rebuilt against qt-2.2.3
- update Url

* Mon Nov 20 2000 Tim Powers <timp@redhat.com>
- rebuilt to fix bad dir perms

* Wed Nov 8 2000 Than Ngo <than@redhat.com>
- update to 2.2
- don't apply the patch, since the gcc-2.96-62 works correct

* Mon Oct 23 2000 Than Ngo <than@redhat.com>
- update to 2.1

* Thu Aug 3 2000 Than Ngo <than@redhat.de>
- add ldconfig in %post, %postun and Prereq (Bug #15136)

* Thu Jul 27 2000 Than Ngo <than@redhat.de>
- don't hardcode Qt version

* Mon Jul 25 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 17 2000 Tim Powers <timp@redhat.com>
- added defattr to both packages

* Wed Jul 12 2000 Than Ngo <than@redhat.de>
- fix to built withe gcc-2.96

* Mon Jul 03 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sat May 27 2000 Ngo Than <than@redhat.de>
- update 0.12 for 7.0

* Mon May  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.11.1
- Qt 2.1.0

* Wed Feb  2 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- 0.10.1
- Qt 1.45
- handle RPM_OPT_FLAGS

* Tue Dec 21 1999 Ngo Than <than@redhat.de>
- updated 0.10

* Tue Dec 14 1999 Ngo Than <than@redhat.de>
- 0.10pre5

* Sun Nov 28 1999 Ngo Than <than@redhat.de>
- Initial packaging as RPM for powertools-6.2
